* {
  margin: 0;
  padding: 0;
  overflow: hidden;
}
html {
  /* This is the root font size for rem sizes */
  font-size: 16px;
  -webkit-font-smoothing: antialiased;
  height: 100%;
  width: 100%;
  margin: 0;
}
body {
  font-family:
    "Segoe UI", "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans",
    sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol",
    "Noto Color Emoji";
  /* background-color: rgb(140, 140, 140); */
  /* background-image: linear-gradient(to bottom, #aaaaaa, #eeeeee); */
  background-image: linear-gradient(to bottom, #8f7f7f, #cccccc);
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  -webkit-font-smoothing: antialiased;
  height: 100%;
  margin: 0;
}
.container {
  display: none;
  position: relative;
  height: 100vh;
  justify-content: center;
  align-items: center;
}
.div1,
.div2 {
  position: absolute; /* Positions divs relative to the container  */
  height: 70%;
  min-height: 500px;
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  text-align: center;
}
.div1 {
  display: grid;
  grid-template-rows: 90px auto 90px;
  z-index: 5;
}
.div2 {
  z-index: 1;
}
.div2 img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.top {
  display: flex;
  flex-direction: column;
  justify-content: end;
  font-size: 2.2rem;
  font-weight: 600;
  padding-bottom: 0.9rem;
  background-color: black;
  color: bisque;
}
.middle {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 15%;
}
.bottomBlack {
  background-color: black;
  opacity: 0;
}
.bottomRed {
  background-color: red;
  opacity: 1;
}
.bottomRed,
.bottomBlack {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  padding-top: 0.9rem;
  font-size: 1.8rem;
  font-weight: bold;
  color: white;
}
.formContainerSignIn {
  padding: 1rem;
  background-color: white;
  border-radius: 5%;
  border: 1px solid gray;
  opacity: 0.92;
}
.labelSignIn {
  font-size: 1rem;
  color: black;
  text-align: left;
  margin-top: 1rem;
}
.entrySignIn {
  font-size: 1rem;
  padding: 12px;
  text-align: left;
  margin: 9px 0;
  border: 1px solid gray;
  color: black;
  border-radius: 0.5rem;
}
input:focus,
input:active,
input:-webkit-autofill {
  font-size: 1rem;
}
.hrSignIn {
  border: 1px solid gray;
  margin: 5px;
}
.buttonSignIn {
  display: block;
  font-size: 20px;
  font-weight: 550;
  border: 1px solid #171717;
  border-radius: 20px;
  padding: 1rem 3rem;
  color: #eeeeee;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  margin: 2rem auto;
  cursor: pointer;
  background-color: darkblue;
  transition:
    color 0.2s ease-in-out,
    background-color 0.2s ease-in-out,
    width 0.2s ease-in-out,
    height 0.2s ease-in-out,
    margin 0.2s ease-in-out,
    z-index 0.2s ease-in-out,
    text-align 0.2s ease-in-out,
    display 0.2s ease-in-out;
}
.buttonSignIn:hover {
  background-color: lightGray;
  color: #171717;
}

@media only screen and (max-width: 1000px) {
  .div1,
  .div2 {
    width: 100%;
    height: 100%;
    border-radius: 0;
  }
  .div1 {
    grid-template-rows: 70px auto 70px;
  }
  .formContainerSignIn {
    margin: 0 auto;
  }
  .titleSignIn,
  .status {
    justify-content: center;
    padding: 0;
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.spin-image {
  animation: spin 180s linear infinite;
}
